Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.identity
Interface UserGroupCallback

All Known Implementing Classes:
  DBUserGroupCallbackImpl, DefaultUserGroupCallbackImpl, JAASUserGroupCallbackImpl, JBossUserGroupCallbackImpl, LDAPUserGroupCallbackImpl, MvelUserGroupCallbackImpl

    public interface UserGroupCallback

Method Summary
`boolean` | `existsGroup(String groupId)` Resolves existence of group id.
`boolean` | `existsUser(String userId)` Resolves existence of user id.
`List<String>` | `getGroupsForUser(String userId, List<String> groupIds, List<String> allExistingGroupIds)` Returns list of group ids for specified user id.

Method Detail

### existsUser

    boolean existsUser(String userId)

  Resolves existence of user id.

  Parameters:
    `userId` - the user id assigned to the task
  Returns:
    true if userId exists, false otherwise.

### existsGroup

    boolean existsGroup(String groupId)

  Resolves existence of group id.

  Parameters:
    `groupId` - the group id assigned to the task
  Returns:
    true if groupId exists, false otherwise.

### getGroupsForUser

    List<String> getGroupsForUser(String userId,
                                  List<String> groupIds,
                                  List<String> allExistingGroupIds)

  Returns list of group ids for specified user id.

  Parameters:
    `userId` - the user id assigned to the task
    `groupIds` - list of group ids assigned to the task
    `allExistingGroupIds` - list of all currently known group ids
  Returns:
    List of group ids.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.